Application: gvSIG desktop - gvSIG bugs #4749
The locator is broken
11/30/2017 05:38 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document view

Target version:

2.4.0-2846 (rev. org.gvsig.desktop-2.0.215

)

Severity: Minor Add-on version:

gvSIG version: 2.4.0 Add-on build:

gvSIG build: 2843 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Steps in order to reproduce the issue:
- add a whatever layer in a view;
- right click on layer in the ToC and then click on "Add to locator".

Result: the layer is not added in the locator

Note: "Add to locator" works fine in build 2842

Associated revisions

Revision 43686 - 12/13/2017 01:57 PM - Joaquin del Cerro Murciano

refs #4749, modificado el locator para que se inicialice el extent del view port con la primera capa que se cargue

History

#1 - 12/01/2017 12:32 AM - Joaquin del Cerro Murciano
Nota para mas tarde.
Al parecer la capa si que se afnade al localizador, pero no se visualiza.

Si vamos a "vista->configurar localizador" la capa esta en el localizador.

Tengo la impresion que no esta haciendo un zoom a la capa al cargarla en el localizador.

Es curioso, si desde "Configurar localizador" le damos a afadir capa y cancelamos, ya se muestran las capas del localizador.

#2 - 12/06/2017 12:56 PM - Antonio Falciano

You're right, Joaquin. The layer is added to locator, but the zoom to layer is not applied. I've just verified with this little script:

# encoding: utf-8

from gvsig import *

def main(*args):
view = currentView()

moc = view.getMapOverViewContext()
layers = moc.getLayers()

env = layers.getFullEnvelope()

moc.zoomToEnvelope(env)

#3 - 12/13/2017 01:57 PM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2846 (rev. org.gvsig.desktop-2.0.215)
- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

#4 - 01/03/2018 12:14 PM - Antonio Falciano

- Status changed from Fixed to Closed
